## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPortalContainer Member List

This is the complete list of members for iPortalContainer, including all inherited members.

AddRefOwner(iBase **ref_owner)=0 | iBase | `[pure virtual]`
CreatePortal(csVector3 *vertices, int num)=0 | iPortalContainer | `[pure virtual]`
DecRef()=0 | iBase | `[pure virtual]`
Draw(iRenderView *rview)=0 | iPortalContainer | `[pure virtual]`
GetPortal(int idx) const =0 | iPortalContainer | `[pure virtual]`
GetPortalCount() const =0 | iPortalContainer | `[pure virtual]`
GetRefCount()=0 | iBase | `[pure virtual]`
IncRef()=0 | iBase | `[pure virtual]`
QueryInterface(scfInterfaceID iInterfaceID, int iVersion)=0 | iBase | `[pure virtual]`
RemovePortal(iPortal *portal)=0 | iPortalContainer | `[pure virtual]`
RemoveRefOwner(iBase **ref_owner)=0 | iBase | `[pure virtual]`